Subject: Re: [mingw32] Re: [RFC] changing gcc default output executable na me (a.exe now)
From: Chris Faylor <[email-masked]>
To: Andre Oliveira da Costa <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 14 Jan 2000 14:07:28 -0500

On Fri, Jan 14, 2000 at 02:41:40PM -0200, Andre Oliveira da Costa wrote:
>> If such a patch as this goes forward, am I right that the implicit
>> make(1) rules will be changed at the same time gcc and/or binutils is
>> changed?  I mean that
>> 	make hello
>> would by default produce the file "hello" rather than "hello.exe".
>
>Yep. Going a step further, every rule that is meant to produce an executable
>file, like:
>
>foo: $(OBJS)
>	gcc -o $@ $^
>
>would produce an executable (binary) file named "foo", and not "foo.exe"

We were talking about having gcc understand an environment variable or
command line switch causing it to avoid producing a .exe extension.  It
is not going to be the default.  Nothing is going to change unless you
set this.

Then, of course, the mailing list will be flooded with lots of "newbies"
who have found out about this nifty new environment variable and who
1) have an older version of gcc which doesn't understand it, 2) have makefiles
which add the .exe file explicitly, or 3) are facing in the wrong direction
and are unable to see the computer screen.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]